#include <SPI.h>

#include <Adafruit_GFX.h>    
#include <Adafruit_ST7735.h>

#include "Wire.h"

#include "I2Cdev.h"
#include "MPU6050.h"

#define TFT_CS     PB12
#define TFT_RST    PB10
#define TFT_DC     PB5
#define D_BR       PB8
#define SD_CS      PB9


#define X2         PA4
#define X1         PA3
#define Y2         PA2
#define Y1         PA1

#define bal        PB1
#define jobb       PB0

#define ps_enb     PA14
#define ps_btn     PB11

#define color24bit(color) (((color & 0xF80000) >> 8) & ((color & 0x00FC00) >> 5) & ((color & 0x0000F8) >> 3))

SPIClass TFTSPI(2);
Adafruit_ST7735 tft = Adafruit_ST7735(&TFTSPI, TFT_CS,  TFT_DC, TFT_RST);

MPU6050 accelgyro;

int16_t ax, ay, az;
int16_t gx, gy, gz;

uint32_t cache = 0;
int filesize = 0;

void setup() {
  pinMode(D_BR, PWM);
  pinMode(bal, INPUT_ANALOG);
  pinMode(jobb, INPUT_ANALOG);
  pinMode(ps_btn, INPUT_PULLDOWN);
  pinMode(ps_enb, OUTPUT);  
  pinMode(Y2, INPUT_ANALOG);
  pinMode(X2, INPUT_ANALOG);
  pinMode(Y1, INPUT_ANALOG);
  pinMode(X1, INPUT_ANALOG);
  delay(1000);
  digitalWrite(ps_enb, HIGH);

  Wire.begin();
  accelgyro.initialize();
  analogWrite(D_BR, 60);
  tft.initR(INITR_BLACKTAB);
  tft.setRotation(1);
  tft.fillScreen(ST77XX_BLACK);
  tft.setCursor(0, 0);
  tft.setTextColor(ST77XX_WHITE, ST77XX_BLACK);
  tft.setTextSize(1);
  tft.setTextWrap(true);  
  if(!accelgyro.testConnection()){tft.println("GYRO HIBA"); while(1);}
}

void loop() {
  accelgyro.getMotion6(&ax, &ay, &az, &gx, &gy, &gz);
  tft.fillScreen(ST77XX_BLACK);
  tft.setCursor(0, 0);
  tft.println("X1: " + String(analogRead(X1)) + "\tY1: " + String(analogRead(Y1)));
  tft.println("X2: " + String(analogRead(X2)) + "\tY2: " + String(analogRead(Y2)));
  tft.println("B: " + String(analogRead(bal)) + "\tJ: " + String(analogRead(jobb)));
  tft.println("Bekapcs gomb" + String(digitalRead(ps_btn)));
  tft.println("ax: " + String(ax) + "  ay: " + String(ay));
  tft.println("az: " + String(az) + "  gx: " + String(gx));
  tft.println("gy: " + String(gy) + "  gz: " + String(gz));
  delay(500);
}
